class clusterarena extends mutator
	config(clusterremake);

var bool bInitialized;

var config int grenades;

function PostBeginPlay()
{
	if (!bInitialized)
	{
		bInitialized = True;
	
		//log("-------------------------ClusterRemake enabled, mode: Arena-------------------------");
		Spawn(class'clusterarenaspawn', self);
		Spawn(class'UnlimitedAmmo').RedeemerUnlimited = True;
	}
	Super.PostBeginPlay();
}
//no powerups , weapons, ammo etc
function bool CheckReplacement(Actor Other, out byte bSuperRelevant)
{
	//kill off everything at startup
	if ( Level.bStartup )
	{
		if (Other.IsA('weapon')) { return false; }
		if (Other.IsA('ammo')) { return false; }
/*we want, armor, vials, keg (superhealth, shieldbelt, powerups etc
		if ((Other.IsA('pickup')) && (!Other.isA('ut_jumpboots'))) { return false; }
*/		
	}
	//can kill weapons like enforcer, impact hammer
	if ( !Level.bStartup )
	{
		if ( (Other.IsA('tournamentweapon')) && (!Other.IsA('WarHeadLauncher')) ) { return false; }
	}
	bSuperRelevant = 0;
	return true;


}

function dothing(pawn playercontroller1, vector location1, rotator rotation1)
{
	local actor a;
	A = spawn(class'clusterremake.temparena', playercontroller1,, location1, rotation1);
	temparena(A).grenades = grenades;
	A.instigator = playercontroller1;
}


function ModifyPlayer (Pawn Other)
{
	GiveWeapon(Other,"botpack.WarHeadLauncher",true);
	if (NextMutator != None) { nextmutator.ModifyPlayer(Other); }
}



function Weapon GiveWeapon(Pawn PlayerPawn, string aClassName, optional bool bBringUp)
{
    local class<Weapon> WeaponClass;
    local Weapon NewWeapon;
 
    WeaponClass = class<Weapon>(DynamicLoadObject(aClassName, class'Class'));
 
    if ( PlayerPawn.FindInventoryType(WeaponClass) != None )
        return None;
    newWeapon = Spawn(WeaponClass);
    if ( newWeapon != None ) {
        newWeapon.RespawnTime = 0.0;
        newWeapon.GiveTo(PlayerPawn);
        newWeapon.bHeldItem = true;
        newWeapon.GiveAmmo(PlayerPawn);
        newWeapon.SetSwitchPriority(PlayerPawn);
        newWeapon.WeaponSet(PlayerPawn);
        newWeapon.AmbientGlow = 0;
        if ( PlayerPawn.IsA('PlayerPawn') )
            newWeapon.SetHand(PlayerPawn(PlayerPawn).Handedness);
        else
            newWeapon.GotoState('Idle');
        if ( bBringUp ) {
            PlayerPawn.Weapon.GotoState('DownWeapon');
            PlayerPawn.PendingWeapon = None;
            PlayerPawn.Weapon = newWeapon;
            PlayerPawn.Weapon.BringUp();
        }
	   newWeapon.bcanthrow = False;
    }
    return newWeapon;
}

defaultproperties
{
     grenades=6
}
