/******************************************************************************
 UnlimitedAmmoSpawnNotify
 UnrealTournament Blink Mutator Pack 1.0 	31st January 2000
 Written by Quicken (gdunn@backmeup.net.au)
 This code copyright (c)2000 Blink Software <http://www.warmage.com/>
******************************************************************************/
class UnlimitedAmmoSpawnNotify expands SpawnNotify;

var bool Initialized;

simulated function PostBeginPlay()
{
	local Weapon W;

	Super.PostBeginPlay();

	if (Initialized)
		return;
	Initialized = True;
	ForEach AllActors(class'Weapon', W)
	{
		if (!UnlimitedAmmo(Owner).RedeemerUnlimited && W.IsA('WarheadLauncher'))
			continue;
		W.PickupAmmoCount = 999;
	}
}


simulated event Actor SpawnNotification(Actor anActor)
{
	local Weapon W;
	local Ammo A;

	W = Weapon(anActor);
	if (W != None)
	{
		if (!UnlimitedAmmo(Owner).RedeemerUnlimited && W.IsA('WarheadLauncher'))
			return anActor;
		W.PickupAmmoCount = 999;
		return anActor;
	}
	A = Ammo(anActor);
	if (A != None)
	{
		if (!UnlimitedAmmo(Owner).RedeemerUnlimited && A.IsA('WarheadAmmo'))
			return anActor;
		A.AmmoAmount = 999;
		A.MaxAmmo = 999;
	}
	return anActor;
}

defaultproperties
{
     ActorClass=Class'Engine.Inventory'
}
